Package org.apache.commons.imaging.color

## Class ColorHunterLab

- java.lang.Object
- - org.apache.commons.imaging.color.ColorHunterLab

-     public final class ColorHunterLab
      extends Object

  Represents a color in the Hunter Lab color space.

  Contains the constant values for black, white, red, green, and blue.

  Since:
    1.0-alpha1
  See Also:
    https://en.wikipedia.org/wiki/CIELAB_color_space#Hunter_Lab

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `a` |
    `double` | `b` |
    `static ColorHunterLab` | `BLACK` | A constant for color black.
    `static ColorHunterLab` | `BLUE` | A constant for color blue.
    `static ColorHunterLab` | `GREEN` | A constant for color green.
    `double` | `L` |
    `static ColorHunterLab` | `RED` | A constant for color red.
    `static ColorHunterLab` | `WHITE` | A constant for color white.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColorHunterLab​(double L, double a, double b)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLACK

          public static final ColorHunterLab BLACK

      A constant for color black. Color components are:

               L: 0
               a: 0
               b: 0

    - #### WHITE

          public static final ColorHunterLab WHITE

      A constant for color white. Color components are:

               L: 100.000
               a:  -5.336
               b:   5.433

    - #### RED

          public static final ColorHunterLab RED

      A constant for color red. Color components are:

               L: 46.109
               a: 78.962
               b: 29.794

    - #### GREEN

          public static final ColorHunterLab GREEN

      A constant for color green. Color components are:

               L:  84.569
               a: -72.518
               b:  50.842

    - #### BLUE

          public static final ColorHunterLab BLUE

      A constant for color blue. Color components are:

               L:   26.870
               a:   72.885
               b: -190.923

    - #### L

          public final double L

    - #### a

          public final double a

    - #### b

          public final double b

  - ### Constructor Detail

    - #### ColorHunterLab

          public ColorHunterLab​(double L,
                                double a,
                                double b)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`